NaviServer - programmable web server

[ Main Table Of Contents | Table Of Contents | Keyword Index ]

# ns_md5(n) 4.99.8 naviserver "NaviServer Built-in Commands"

## Name

ns_md5 - Returns a 32-character, hex-encoded string containing the MD5 hash of the first argument

## Table Of Contents

## Synopsis

- ns_md5 string

## Description

A cryptographic hash (sometimes called digest) is a kind of signature for a text or a data file. MD5 generates an almost-unique 128-bit signature for a text.

## COMMANDS

ns_md5 string

  string String from which hash should be produced

    % ns_md5 test
    098F6BCD4621D373CADE4E832627B4F6

## See Also

ns_crypt, ns_rand, ns_sha1, ns_uudecode, ns_uuencode, nsd

## Keywords

crypt, encoding